<div ng-switch on="$ctrl.type">
  <ca-ir-mini
      ng-switch-when="ca-ir-mini"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-ir-mini>
  <ca-smk-mini
      ng-switch-when="ca-smk-mini"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-smk-mini>
  <ca-combo2
      ng-switch-when="ca-combo2"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-combo2>
  <ca-combo3
      ng-switch-when="ca-combo3"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-combo3>
  <punch-t2
      ng-switch-when="punch-t2"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </punch-t2>
  <ca-smk-atm1
      ng-switch-when="ca-smk-atm1"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-smk-atm1>
  <ca-smk-atm2
      ng-switch-when="ca-smk-atm2"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-smk-atm2>
  <ca-curtain
      ng-switch-when="ca-curtain"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-curtain>
  <ca-glass
      ng-switch-when="ca-glass"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-glass>
  <ca-ar4
      ng-switch-when="ca-ar4"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-ar4>
  <ca-ar2
      ng-switch-when="ca-ar2"
      device-id="$ctrl.deviceId"
      serial-number="$ctrl.serialNumber"
      zones="$ctrl.zones"
      show-delete-button="$ctrl.showDeleteButton"
      on-click-delete-button="$ctrl.onClickDeleteButton()"
      show-up-down-buttons="$ctrl.showUpDownButtons"
      on-click-up-button="$ctrl.onClickUpButton()"
      on-click-down-button="$ctrl.onClickDownButton()">
  </ca-ar2>
</div>
